package com.njcn.process.pojo.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

/**
 * 
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2023/3/9  10:13【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
@TableName(value = "r_survey_plan_config")
public class RSurveyPlanConfigPO {

    /**
     * 组织机构名称
     */
    @TableField(value = "Org_Name")
    private String orgName;

    /**
     * 组织机构ID(外键)
     */
    @MppMultiId(value = "Org_Id")
    private String orgId;

    /**
     * 普测电站总数
     */
    @TableField(value = "stat_num")
    private Integer statNum;

    /**
     * 该机构普测占比
     */
    @TableField(value = "proportion")
    private Double proportion;



    /**
     * 获取组织机构名称
     *
     * @return Org_Name - 组织机构名称
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * 设置组织机构名称
     *
     * @param orgName 组织机构名称
     */
    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    /**
     * 获取组织机构ID(外键)
     *
     * @return Org_Id - 组织机构ID(外键)
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 设置组织机构ID(外键)
     *
     * @param orgId 组织机构ID(外键)
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    /**
     * 获取普测电站总数
     *
     * @return stat_num - 普测电站总数
     */
    public Integer getStatNum() {
        return statNum;
    }

    /**
     * 设置普测电站总数
     *
     * @param statNum 普测电站总数
     */
    public void setStatNum(Integer statNum) {
        this.statNum = statNum;
    }

    /**
     * 获取该机构普测占比
     *
     * @return proportion - 该机构普测占比
     */
    public Double getProportion() {
        return proportion;
    }

    /**
     * 设置该机构普测占比
     *
     * @param proportion 该机构普测占比
     */
    public void setProportion(Double proportion) {
        this.proportion = proportion;
    }
}